Subject: Re: bug#25964: 26.0.50; byte-recompile-directory saving unrelated buffer

From: [email-masked]
Date: Sat, 04 Mar 2017 00:08:33 -0500

merge 25964 25340
quit

Andreas Politz <[email-masked]> writes:

> I think it is somewhat annoying when I install a Lisp package and it
> asks me whether I want to save a completely unrelated buffer in some
> other project.  This is especially true, if this unrelated buffer has a
> function like check-parens on its after-save-hook, which may signal an
> error, and in turn will abort the whole package installation.
>
> The buffer saving happens in byte-recompile-directory via
> save-some-buffer. So I wonder, if this can be made more selective, like
> so:

There is a similar patch in #25340, although it makes the behaviour
optional.